Qt 5.7 | Qt 3D | C++ Classes | QStencilMask

Qt 5.7.1 Reference Documentation

# QStencilMask Class

(Qt3DRender::QStencilMask)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- backOutputMask : uint
- frontOutputMask : uint

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilMask(Qt3DCore::QNode *parent = nullptr)
| ~QStencilMask()
uint | backOutputMask() const
uint | frontOutputMask() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBackOutputMask(uint backOutputMask)
void | setFrontOutputMask(uint frontOutputMask)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | backOutputMaskChanged(uint backOutputMask)
void | frontOutputMaskChanged(uint frontOutputMask)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### backOutputMask : uint

Access functions:

uint | backOutputMask() const
void | setBackOutputMask(uint backOutputMask)

Notifier signal:

void | backOutputMaskChanged(uint backOutputMask)

### frontOutputMask : uint

Access functions:

uint | frontOutputMask() const
void | setFrontOutputMask(uint frontOutputMask)

Notifier signal:

void | frontOutputMaskChanged(uint frontOutputMask)

## Member Function Documentation

### QStencilMask::QStencilMask(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QStencilMask.

### QStencilMask::~QStencilMask()

Destroys the instance of QStencilMask.